Bug 161663 - No sound on intel8x0
No sound on intel8x0
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-25 03:41 EDT by Mike Perry
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-07 20:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Perry 2005-06-25 03:41:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am experiencing the same problems as those reported in bug 137637 and a couple others for Fedora Core 3. It seems they have not been fixed in FC4. Much like the others, my sound card did work in FC2. 

However, unlike the others, I was UNABLE to fix it with the hacks mentioned in comment #11 in 137637. 

I added snd-intel8x0m to /etc/hotplug/blacklist (which I thought might work, because it was originally loaded for no reason).

I added the following to asound.conf:

pcm.!default {
  type plug
  slave.pcm "dmixer"
  }

pcm.dsp0 {
  type plug
  slave.pcm "dmixer"
  }

pcm.dmixer {
  type dmix
  ipc_key 1024
 slave {
  pcm "hw:0,0"
  period_time 0
  period_size 512
 buffer_size 8192
  rate 44100
  }
 bindings {
  0 0
  1 1
  }
  }

ctl.dmixer {
  type hw
  card 0
  } 


And still no avail. Sadness and despair.


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. Begin FC4 install
2. When prompted to play a test sound, click yes
3. Become one with the void.
  

Actual Results:  No Sound. 

Expected Results:  Sound.

Additional info:

LSPCI: 
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)

lsmod:
tun                    12416  1 
i915                   20480  1 
drm                    74516  2 i915
md5                     4352  1 
ipv6                  280576  12 
autofs4                30596  2 
sunrpc                174404  1 
pcmcia                 30112  2 
ipt_REJECT              5888  1 
ipt_state               2304  2 
ip_conntrack           44376  1 ipt_state
iptable_filter          3328  1 
ip_tables              21120  3 ipt_REJECT,ipt_state,iptable_filter
aes_i586               38912  1 
dm_crypt               12808  1 
video                  22660  0 
button                  8848  0 
battery                12548  0 
ac                      6660  0 
yenta_socket           22792  1 
rsrc_nonstatic         14080  1 yenta_socket
pcmcia_core            54404  3 pcmcia,yenta_socket,rsrc_nonstatic
uhci_hcd               36624  0 
ehci_hcd               42504  0 
i2c_i801                9228  0 
i2c_core               22784  1 i2c_i801
snd_intel8x0           35904  1 
snd_ac97_codec         80376  1 snd_intel8x0
snd_seq_dummy           4100  0 
snd_seq_oss            40448  0 
snd_seq_midi_event      9984  1 snd_seq_oss
snd_seq                67472  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9484  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            54816  0 
snd_mixer_oss          19584  1 snd_pcm_oss
snd_pcm               107656  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              34564  2 snd_seq,snd_pcm
snd                    61060  11 snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              11360  1 snd
snd_page_alloc         10500  2 snd_intel8x0,snd_pcm
8139too                31360  0 
mii                     6016  1 8139too
joydev                 10304  0 
ext3                  140168  2 
jbd                    87320  1 ext3


The only output from dmesg for the card:
intel8x0_measure_ac97_clock: measured 49043 usecs
intel8x0: clocking to 48000


See also bugs 137637, 144742, 140590, 141962
Comment 1 Mike Perry 2005-06-25 05:09:14 EDT
So upon further investigation, it appears there is an "External Amplifier"
control burried in 'alsamixer' that will enable if unmuted. This control is not
available from any other mixer I could find. 
 
Even so, without the above asound.conf, I get choppy, garbled sound. The key
parameters for me is that rate must be set to 44100 and period_size must divide
evenly into buffer_size. I've upped those values to 1024 and 16384 respectively
just for good measure, and everything seems OK.

However, I did not need to edit modules.conf or install new alsa drivers.

Now the next question is how come this behavior has persisted through 2 major
releases despite these fixes being essentially just changes to config files and
mixer settings?
Comment 2 Dave Jones 2005-07-07 20:48:05 EDT
the defaults work for some folks, but not for others..
there are so many variants of this chipset/ac97 combo that other than 'fiddle
with mixer settings', there's not a great deal we can do about the problem.

There have been dozens of bugzillas filed on this (both here and upstream), but
the upstream ALSA folks don't seem to be doing much to improve the situation.
(It all got a lot worse circa 2.6.10)

Note You need to log in before you can comment on or make changes to this bug.